@import './colors'
@import './mixins'

.form-count-info
    display: flex
    flex-direction: column
    &__item
        display: flex
        justify-content: space-between
        align-items: center
        &-title
            @include setFont($fz: 15px, $lh: 21px, $fw: 500, $color: $grayColor)
            letter-spacing: 0.1px
        &-num
            @include setFont($fz: 15px, $lh: 21px, $fw: 500, $color: $blackColor)

.select-side
    display: flex
    align-items: center
    justify-content: space-between
    padding: 13px 16px
    background-color: #fff
    color: $blackColor
    border: 1px solid #E2E2E2
    border-radius: 9px
    font-size: 14px
    line-height: 24px
    cursor: pointer
    &:hover
        background-color: $activeBGHover
    &:active
        background-color: $activeBGActive
    &::after
        content: ''
        display: block
        width: 6px
        height: 12px
        background-image: url(/assets/icons/arrow-right-grey.svg)
        background-repeat: no-repeat
        background-position: center
        background-size: contain

.form-checkbox-block
    display: flex
    &__item
        &-title
             @include setFont($fz: 14px, $lh: 24px, $fw: 400, $color: $blackColor)
             margin-left: 12px
        display: flex

.form-info
    display: flex
    flex-direction: column
    &__label
        @include setFont($fz: 14px, $lh: 24px, $fw: 400, $color: $grayColor)
    &__input
        @include setFont($fz: 14px, $lh: 24px, $fw: 400, $color: $blackColor)
        border: none
        padding: 0

.form-info-small
    display: flex
    align-items: center
    &__title
        @include setFont($fz: 12px, $lh: 20px, $fw: 400, $color: $blackColor)
    &::before
        content: ''
        background-image: url(/assets/icons/formInfoSmallIcon.svg)
        width: 16px
        height: 16px
        margin-right: 8px

.form-progress
    display: flex
    border-radius: 9px
    background: $whiteColor
    align-items: center
    padding: 16px
    .form-progress__bar
        border-radius: 6px
        background: $lineColor
        height: 6px
        width: 166px
        margin-right: 12px
        .form-progress__bar-container
            background: $brandColor
            height: 100%
            border-radius: 6px
            transition: 2s
            width: 0px
    .form-progress__label
        @include setFont($fz: 16px, $lh: 24px, $fw: 600, $color: $blackColor)
.form-group
    &.form-group_checkbox
        display: flex
        align-items: center
        justify-content: space-between
        &.form-group_checkbox_together
            justify-content: flex-start
        .form-group__label
            margin-bottom: 0
    .form-group__label
        display: block
        font-size: 14px
        font-weight: 500
        margin-bottom: 12px
        color: $blackColor
    .form-group__label-readonly
        display: block
        font-size: 14px
        font-weight: 400
        line-height: 24px
        color: $grayColor
    .statuses
        display: flex
        .danger
            background: rgba(211, 41, 45, 0.1)
            color: $redColor
        .statuses-item
            padding: 8px 10px
            @include setFont($fz: 11px, $lh: 14px, $fw: 500, $color: $redColor)
            border-radius: 6px
            cursor: pointer

.fieldset-title
    display: block
    font-weight: 600
    font-size: 14px
    line-height: 24px
    color: $blackColor

.form-title
    font-size: 14px
    line-height: 24px
    font-weight: 500
    color: $blackColor

.form-title__big
    @include setFont($fz: 20px, $lh: 32px, $fw: 600, $color: $blackColor)

.error
    display: block
    font-size: 11px
    color: $redColor

.input-checkbox-block
    display: flex
    align-items: center
    app-input-table-checkbox
        margin-right: 12px
    .input-checkbox-block__text
        display: block
        font-size: 14px
        line-height: 24px
        color: $blackColor

.input-wrapper
    display: flex
    align-items: center
    &.input-wrapper_last-small
        &>*:first-child
                flex-grow: 1
                margin-right: 10px
        &>*:last-child
                flex-shrink: 0

.input-readonly
    background: transparent
    border: none
    &__c-brand
        color: $brandColor!important
    &__input
        width: 100%
        background-color: unset
        border: none
        font-size: 14px
        line-height: 24px
        font-weight: 400
        color: $blackColor
    &__textarea
        width: 100%
        background-color: unset
        border: none
        font-size: 14px
        line-height: 24px
        font-weight: 400
        color: $blackColor
        resize: none

.input-block-gray
    background: $activeBG!important

.info-block
    display: flex
    flex-direction: column
    width: 100%
    &__title
        width: 40%
        @include setFont($fz: 20px, $lh: 32px, $fw: 600, $color: $blackColor)
        margin-bottom: 14px
    &__alert
        width: 100%
        display: flex
        justify-content: space-between
        position: relative
        align-items: center
        @include setFont($fz: 14px, $lh: 24px, $fw: 400, $color: $blackColor)
        &::before
            content: ''
            background-size: contain
            margin-right: 10px
            background-repeat: no-repeat
            background-image: url(/assets/icons/formInfoSmallIcon.svg)
            width: 20px
            height: 20px

.input-block
    display: flex
    align-items: center
    background: #FFF
    border: 1px solid #E2E2E2
    border-radius: 9px
    padding: 14px 16px
    &.input-block_h-44
        padding: 8px 16px
    &.input-block_h-48
        padding: 10px 16px
    &.input-block_h-52
        padding: 12px 16px
    &.disabled
        background-color: $activeBG
        .input-block__input
            color: $grayColor
    &:focus-within
        border: 1px solid $brandColor2
        box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 0 1px $brandColor2!important
    &.input-block_textarea
        padding: 10px 6px 6px 10px
    &.input-block_icon-after
        &::after
            content: ''
            display: block
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            flex-shrink: 0
        &.input-block_icon-after_money
            &::after
                width: 24px
                height: 24px
                background-image: url(/assets/icons/formMoneyIcon.svg)
        &.input-block_icon-after_calendar
            &::after
                width: 22.5px
                height: 18px
                background-image: url(/assets/icons/calendarIcon.svg)
        &.input-block_icon-after_calendar-gray
            &::after
                width: 22.5px
                height: 18px
                background-image: url(/assets/icons/calendarIconGray.svg)
        &.input-block_icon-after_password
            &::after
                width: 24px
                height: 24px
                background-image: url(/assets/icons/passwordInputIcon.svg)
                cursor: pointer
        &.input-block_icon-after_currency
            &::after
                content: 'AZN'
                @include setFont($fz: 14px, $lh: 24px, $fw: 400, $color: $grayColor)

    .input-block__input
        width: 100%
        background-color: unset
        border: none
        font-size: 14px
        line-height: 24px
        font-weight: 400
        color: $blackColor
        &::-webkit-inner-spin-button
            -webkit-appearance: none
            margin: 0
        &[type=number]
            -moz-appearance: textfield
    .input-block__right-text
        display: block
        font-size: 14px
        line-height: 24px
        color: $grayColor
        margin-left: 5px
    .input-block__textarea
        width: 100%
        background-color: unset
        border: none
        font-size: 14px
        line-height: 24px
        font-weight: 400
        color: $blackColor
        resize: vertical



.ng-select
    min-width: 100px
    &.ng-select-opened
        .ng-select-container
            .ng-arrow-wrapper
                // transform: rotate(90deg)
    &.ng-select-focused
        .ng-select-container
            box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 0 1px $brandColor2!important
    &.ng-select_h-48
        .ng-select-container
            height: 48px!important
    &.ng-select_h-52
        .ng-select-container
            height: 52px!important
    .ng-select-container
        height: 56px!important
        border-radius: 9px!important
        border: 1px solid #E2E2E2!important
        .ng-value-container
            padding-left: 16px!important
            .ng-input
                top: 50%!important
                transform: translate(0, -50%)
                padding-left: 16px!important
                input
                    font-size: 14px!important
        .ng-clear-wrapper
            width: 10px
            height: 10px
            background-image: url(/assets/images/close.svg)
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            margin-right: 5px
            .ng-clear
                display: none
        .ng-arrow-wrapper
            width: 8px!important
            height: 12px
            background-image: url(/assets/images/arrow_right_gray.svg)
            transform: rotate(90deg)
            background-position: center
            background-size: cover
            margin-right: 16px
            padding-right: 0!important
            transition: transform .2s ease-in-out
            .ng-arrow
                border-width: inherit

.ng-select-h-46
    min-width: 100px
    &.ng-select-opened
        .ng-select-container
            .ng-arrow-wrapper
                transform: rotate(90deg)
    &.ng-select-focused
        .ng-select-container
            box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 0 1px $brandColor2!important
    .ng-select-container
        height: 46px!important
        border-radius: 9px!important
        border: 1px solid #E2E2E2!important
        .ng-value-container
            padding-left: 16px!important
            .ng-input
                top: 50%!important
                transform: translate(0, -50%)
                padding-left: 16px!important
                input
                    font-size: 14px!important
        .ng-clear-wrapper
            width: 10px
            height: 10px
            background-image: url(/assets/images/close.svg)
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            margin-right: 5px
            .ng-clear
                display: none
        .ng-arrow-wrapper
            width: 8px!important
            height: 12px
            background-image: url(/assets/images/arrow_right_gray.svg)
            background-position: center
            background-size: cover
            margin-right: 16px
            padding-right: 0!important
            transition: transform .2s ease-in-out
            .ng-arrow
                border-width: inherit

.ng-select-h-44

    min-width: 100px
    &.ng-select-opened
        .ng-select-container
            .ng-arrow-wrapper
                transform: rotate(90deg)
    &.ng-select-focused
        .ng-select-container
            box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 0 1px $brandColor2!important
    .ng-select-container
        height: 44px!important
        border-radius: 9px!important
        border: 1px solid #E2E2E2!important
        .ng-value-container
            padding-left: 16px!important
            .ng-input
                top: 50%!important
                transform: translate(0, -50%)
                padding-left: 16px!important
                input
                    font-size: 14px!important
        .ng-clear-wrapper
            width: 10px
            height: 10px
            background-image: url(/assets/images/close.svg)
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            margin-right: 5px
            .ng-clear
                display: none
        .ng-arrow-wrapper
            width: 8px!important
            height: 12px
            background-image: url(/assets/images/arrow_right_gray.svg)
            background-position: center
            background-size: cover
            margin-right: 16px
            padding-right: 0!important
            transition: transform .2s ease-in-out
            .ng-arrow
                border-width: inherit

.ng-select-h-47

    min-width: 100px
    margin-right: 15px
    &.ng-select-opened
        .ng-select-container
            .ng-arrow-wrapper
                transform: rotate(90deg)
    &.ng-select-focused
        .ng-select-container
            box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 0 1px $brandColor2!important
    .ng-select-container
        height: 47px!important
        border-radius: 9px!important
        border: 1px solid #E2E2E2!important
        .ng-value-container
            padding-left: 16px!important
            .ng-input
                top: 50%!important
                transform: translate(0, -50%)
                padding-left: 16px!important
                input
                    font-size: 14px!important
        .ng-clear-wrapper
            width: 10px
            height: 10px
            background-image: url(/assets/images/close.svg)
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            margin-right: 5px
            margin-left: 10px
            .ng-clear
                display: none
        .ng-arrow-wrapper
            width: 8px!important
            height: 12px
            background-image: url(/assets/images/arrow_right_gray.svg)
            background-position: center
            background-size: cover
            margin-right: 16px
            padding-right: 0!important
            transition: transform .2s ease-in-out
            .ng-arrow
                border-width: inherit

.ng-select
    .ng-select-single
        height: 56px!important

.ng-dropdown-panel
    background-color: #F5F5F5
    border: 1px solid #E2E2E2
    border-radius: 9px
    margin-top: 10px!important
    margin-bottom: 10px!important
    overflow: hidden
    .ng-dropdown-panel-items
        .ng-option
            background-color: unset!important
            padding: 12.5px 16px!important
            &.ng-option-marked
                background-color: #efeeee!important
            &.ng-option-selected
                background-color: #e2e2e2!important

.select-account-default
    display: flex
    align-items: center
    min-width: 470px
    border-radius: 9px
    padding: 16px
    cursor: pointer
    border: 1px solid #E2E2E2
    &.select-account_icon-after
        &::after
            content: ''
            display: block
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            flex-shrink: 0
        &.select-account_icon-after_arrow-right
            &::after
                width: 8px
                height: 12px
                background-image: url(/assets/images/arrow_right_gray.svg)
                margin-left: 10px
    &.select-account_icon-before
        &::before
            content: ''
            display: block
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            flex-shrink: 0
        &.select-account_icon-before_uni-logo
            &::before
                width: 24px
                height: 24px
                background-image: url(/assets/icons/ulogo2.svg)
                margin-right: 16px
    .select-account__info-block
        margin-right: 20px
        .select-account__title
            display: block
            font-size: 14px
            color: $brandColor
            margin-bottom: 6px
        .select-account__branch
            display: block
            font-size: 14px
            margin-top: 6px
        .select-account__number
            display: block
            font-size: 14px
            color: $blackColor
            line-height: 24px
    .select-account__amount
            display: block
            font-size: 14px
            color: $grayColor
            margin-left: auto

.select-account-gray
    background: $activeBG!important

.select-account
    display: flex
    align-items: center
    min-width: 470px
    background-color: $brandColor2
    border-radius: 9px
    padding: 16px
    cursor: pointer
    &:hover
        background-color: $brandColor2Hover
    &:active
        background-color: $brandColor2Active
    &.select-account_icon-before
        &::before
            content: ''
            display: block
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            flex-shrink: 0
        &.select-account_icon-before_uni-logo
            &::before
                width: 24px
                height: 24px
                background-image: url(/assets/icons/ulogo2.svg)
                margin-right: 16px
        &.select-account_icon-before_card
            &::before
                width: 40px
                height: 28px
                background-image: url(/assets/icons/cardStandart.svg)
                margin-right: 16px
    &.select-account_icon-after
        &::after
            content: ''
            display: block
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            flex-shrink: 0
        &.select-account_icon-after_arrow-right

            &::after
                width: 8px
                height: 12px
                background-image: url(/assets/images/arrow_right_gray.svg)
                margin-left: 10px
    .select-account__info-block
        margin-right: 20px
        .select-account__title
            display: block
            font-size: 14px
            color: $brandColor
            margin-bottom: 6px
        .select-account__branch
            display: block
            font-size: 14px
            margin-top: 6px
        .select-account__number
            display: block
            font-size: 14px
            color: $blackColor
    .select-account__amount
            display: block
            font-size: 14px
            color: $blackColor
            margin-left: auto


.cdk-overlay-container
    owl-date-time-container
        border: 1px solid #E2E2E2
        box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.08)!important
        border-radius: 9px
        .owl-dt-calendar-control
        .owl-dt-calendar-main
            .owl-dt-calendar-month-table
                .owl-dt-calendar-body
                    .owl-dt-calendar-cell
                        &:hover
                            .owl-dt-calendar-cell-content
                                background-color: rgba(143, 30, 53, .1)
                                border-radius: 9px
                        .owl-dt-calendar-cell-content
                            &.owl-dt-calendar-cell-selected
                                background-color: $brandColor!important
                                color: #fff
                                border-radius: 9px
                            &.owl-dt-calendar-cell-today
                                border-radius: 9px
                                border: 1px solid $brandColor
                                background-color: #fff
